r6025 - famous error

Discussion in 'AutoCAD' started by User of Internet, Nov 15, 2004.

  1. I have wrote my lisp routine for Land Desktop 3 (Acad 2002)
    In my opinion code is correct.
    when I start routine first time all is good.
    but next time always appears error r6025 (pure call virtual function)...
    please help me!
    best regards
     
    User of Internet, Nov 15, 2004
    #1
  2. User of Internet

    Jeff Mishler Guest

    I painted my car to be different.
    In my opinion it looks good.
    The first time I drive it everyday all is good.
    but next time always the trunk lid pops open

    please help me!
    best regards.......

    The above makes nearly as much sense as what you posted. Maybe by posting
    your code you could get a little better feedback.....just a thought.
     
    Jeff Mishler, Nov 15, 2004
    #2
  3. User of Internet

    Matt W Guest

    LOL :)
    Just the little "pick me up" I needed.

    Thanks, Jeff!
     
    Matt W, Nov 15, 2004
    #3
  4. User of Internet

    Douglas Barr Guest

    Lemme guess... '99 Camry?
    That model had a Feb '00 recall for trunk latch failure.

    btw... the broken English was a bit over the top.
     
    Douglas Barr, Nov 15, 2004
    #4
  5. User of Internet

    Matt W Guest

    By the way....
    Shouldn't that be IN-famous??

    Just curious.
     
    Matt W, Nov 15, 2004
    #5
  6. I am interested in this as I have seen this from time to time.
    You have to at least post something though. That error you got is not a common one and we don't know what is causing it
    til you post some code.

    "User of Internet" <>
    |>I have wrote my lisp routine for Land Desktop 3 (Acad 2002)
    |>In my opinion code is correct.
    |>when I start routine first time all is good.
    |>but next time always appears error r6025 (pure call virtual function)...
    |>please help me!
    |>best regards
    |>

    James Maeding
    jmaeding at hunsaker dot com
    Civil Engineer/Programmer
     
    James Maeding, Nov 15, 2004
    #6
  7. sorry but my English isn't good.
    the routine is big (about 800 lines) and I can't show it at group
    I use activeX methods and properties.
    all VLA-object in my routine are realising (vlax-release-object)
    in debuger I can trace all code.
    I noticed that r6025 appears the most often at loop (vlax-for function):

    (defun CreateLine (Pt1 Pt2 Layer)
    (entmake (list '(0 . "LINE") (cons 8 Layer) '(62 . 256) '(6 .
    "BYLAYER") '(370 . -1) (cons 10 Pt1) (cons 11 Pt2) '(210 0.0 0.0 1.0)))
    );end CreateLine

    (vlax-for & (vlax-get Alignment 'AlignEntities)
    (setq HorIncr (cons (setq StSt (vlax-get-property & 'StartingStation))
    HorIncr)
    HorIncr (cons (setq EndSt (vlax-get-property & 'EndingStation))
    HorIncr))
    (if (< StSt Start) (setq StSt Start));;
    (if (> EndSt End) (setq EndSt End));;
    (cond
    ((= (vla-get-type &) 1); Line
    (CreateLine (setq StPt (St2Pt StSt (* -4.75 Width))) (setq EndPt
    (St2Pt EndSt (* -4.75 Width))) "Trasa")
    ......
    ......
    .....
    );end vlax-for

    I use VL(!!!!) but error alert show in window "Microsoft Visual C++ Runtime
    Library"
    Runtime Error!
    Program C:\PROGRAM FILES\LAND DESKTOP 3\ACAD.EXE
    R6025
    - pure virtual function call

    C++ ?? why? when i use VL?

    best regards
    Andrzej
     
    User of Internet, Nov 15, 2004
    #7
  8. User of Internet

    Jeff Mishler Guest

    Hi Andrzej,
    Please be assured that I was not trying to poke fun at your English
    (especially since it is better than many whose native language is English),
    but rather I wanted you to know that as much as we'd like to help, you just
    didn't give us ANY information to help you with.

    Now, with the second post we can at least see what you are doing and I can
    venture a guess that <may/may not> help.

    First, try placing a (vlax-release-object &) at the end of the (vlax-for
    ...... loop.
    Second, I don't know if this is true or not, but I think I recall seeing in
    other posts that mixing ActiveX code with traditional lisp (ie; entmake)
    causes some issues. You might try changing your createline function to use
    (vlax-invoke modelspace "addline" pt1 pt2).

    Post back with results, or lack thereof.
     
    Jeff Mishler, Nov 17, 2004
    #8
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.